#include <iostream>
#include<string>
#include<vector>
using namespace std;

int main()
{
    int b=0,j;
    int n;cin>>n;
    vector<int> a(n);
    for(int i=1;i<=n;i++)
       cin>>a[i];
    int q;cin>>q;
    int p,k;
    string t[q];
    for(int i=0;i<q;i++){
        cin>>p>>k;
        if(k-p<=1)
            t[i]="DA";
        else{
        for(j=p;j<k;j++){
           if(a[j+1]<a[j])
              b++;
           if(b==2){
              t[i]="NE";
              break;}}
        if(b<2)
           t[i]="DA";
        b=0;

    }}
    for(int i=0;i<q;i++)
        cout<<t[i]<<endl;


    return 0;
}